- entry_type: invariant_set
  metadata:
    format_version: '2.0'
    uuid: fb2988bd-37af-40b9-86ae-01de563e9376
    creation_time: '2024-11-19T10:35:47+01:00'
    producer:
      name: Automizer
      version: 0.2.5-tmp.dk.eval-assert-order-craig-3061b6d-m
    task:
      input_files:
      - /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/divbin_unwindbound20.i
      input_file_hashes:
        /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/divbin_unwindbound20.i: 7e073a4c36b82f2b6062e496bb836cd3d16667ec7228f4ab2b6689e74fa81265
      specification: |+
        CHECK( init(main()), LTL(G ! overflow) )

      data_model: ILP32
      language: C
  content:
  - invariant:
      type: loop_invariant
      location:
        file_name: /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/divbin_unwindbound20.i
        file_hash: 7e073a4c36b82f2b6062e496bb836cd3d16667ec7228f4ab2b6689e74fa81265
        line: 36
        column: 5
        function: main
      value: (((1 <= counter) && (counter <= 20)) || (counter == 0))
      format: c_expression
  - invariant:
      type: loop_invariant
      location:
        file_name: /storage/repos/ultimate/releaseScripts/default/sv-benchmarks/c/nla-digbench-scaling/divbin_unwindbound20.i
        file_hash: 7e073a4c36b82f2b6062e496bb836cd3d16667ec7228f4ab2b6689e74fa81265
        line: 40
        column: 5
        function: main
      value: (((1 <= counter) && (counter <= 20)) || ((21 <= counter) && (counter <= 2147483645)))
      format: c_expression
